Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 227247 - net-im/ekiga-2.0.12 won't emerge with gcc 4.3.1 and glibc 2.8
Summary: net-im/ekiga-2.0.12 won't emerge with gcc 4.3.1 and glibc 2.8
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: voip herd (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-15 16:26 UTC by Billy DeVincentis
Modified: 2011-02-25 17:06 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
net-voip/ekiga-2.0.12 build.log (build.log,125.15 KB, text/plain)
2011-02-25 16:53 UTC, Eric Siegel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Billy DeVincentis 2008-06-15 16:26:43 UTC
then mv -f ".deps/dbus-helper.Tpo" ".deps/dbus-helper.Po"; else rm -f ".deps/dbus-helper.Tpo"; exit 1; fi
/bin/sh ../libtool --tag=CXX --mode=link x86_64-pc-linux-gnu-g++  -march=native -O2 -pipe   -o ekiga-helper  dbus-helper.o -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0
/bin/sh ../libtool --tag=CXX --mode=link x86_64-pc-linux-gnu-g++  -march=native -O2 -pipe   -o ekiga  accounts.o addressbook.o callbacks.o callshistory.o chat.o config.o druid.o history.o main.o misc.o preferences.o tools.o statusicon.o audio.o fakevideoinput.o videoinput.o videooutput.o accountshandler.o ekiga.o manager.o h323.o pcss.o sip.o urlhandler.o stun.o bonobo.o dbus.o avahi.o ../lib/libekiga.la -pthread -lesd -laudiofile -lm -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lgnomevfs-2 -lgnomecanvas-2 -lgnome-2 -lpopt -lbonobo-2 -lbonobo-activation -lORBit-2 -lart_lgpl_2 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -lgobject-2.0 -lglib-2.0   -pthread -lebook-1.2 -lgnome-2 -lpopt -ledataserver-1.2 -lxml2 -lgconf-2 -lbonobo-2 -lbonobo-activation -lgmodule-2.0 -ldl -lORBit-2 -lgthread-2.0 -lrt -lgobject-2.0 -lglib-2.0   -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lavahi-common -lavahi-client -lavahi-glib -lglib-2.0     -lSDL -lpthread -lpt -lopal -ldl -lpthread
mkdir .libs
x86_64-pc-linux-gnu-g++ -march=native -O2 -pipe -o ekiga-helper dbus-helper.o  /usr/lib64/libdbus-glib-1.so /usr/lib64/libdbus-1.so /usr/lib64/libgobject-2.0.so /usr/lib64/libglib-2.0.so
x86_64-pc-linux-gnu-g++ -march=native -O2 -pipe -o ekiga accounts.o addressbook.o callbacks.o callshistory.o chat.o config.o druid.o history.o main.o misc.o preferences.o tools.o statusicon.o audio.o fakevideoinput.o videoinput.o videooutput.o accountshandler.o ekiga.o manager.o h323.o pcss.o sip.o urlhandler.o stun.o bonobo.o dbus.o avahi.o -pthread -pthread  ../lib/.libs/libekiga.a /usr/lib64/libesd.so /usr/lib64/libaudiofile.so -lm /usr/lib64/libgnomeui-2.so /usr/lib64/libSM.so /usr/lib64/libICE.so /usr/lib64/libbonoboui-2.so /usr/lib64/libgnomevfs-2.so /usr/lib64/libgnomecanvas-2.so /usr/lib64/libart_lgpl_2.so /usr/lib64/libgtk-x11-2.0.so /usr/lib64/libgdk-x11-2.0.so /usr/lib64/libatk-1.0.so /usr/lib64/libgdk_pixbuf-2.0.so /usr/lib64/libpangocairo-1.0.so /usr/lib64/libpango-1.0.so /usr/lib64/libcairo.so /usr/lib64/libebook-1.2.so /usr/lib64/libgnome-2.so /usr/lib64/libpopt.so /usr/lib64/libedataserver-1.2.so /usr/lib64/libxml2.so /usr/lib64/libgconf-2.so /usr/lib64/libbonobo-2.so /usr/lib64/libbonobo-activation.so /usr/lib64/libgmodule-2.0.so /usr/lib64/libORBit-2.so /usr/lib64/libgthread-2.0.so -lrt /usr/lib64/libdbus-glib-1.so /usr/lib64/libdbus-1.so /usr/lib64/libgobject-2.0.so /usr/lib64/libavahi-common.so /usr/lib64/libavahi-client.so /usr/lib64/libavahi-glib.so /usr/lib64/libglib-2.0.so /usr/lib64/libSDL.so -lpt -lopal -ldl -lpthread
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.1/../../../../lib64/libopal.so: undefined reference to `PIPSocket::Address::operator*=(PIPSocket::Address const&) const'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.1/../../../../lib64/libopal.so: undefined reference to `PIPSocket::InterfaceEntry::InterfaceEntry(PString const&, PIPSocket::Address const&, PIPSocket::Address const&, PString const&, PString const&)'
collect2: ld returned 1 exit status
make[3]: *** [ekiga] Error 1
make[3]: Leaving directory `/var/tmp/portage/net-im/ekiga-2.0.12/work/ekiga-2.0.12/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/net-im/ekiga-2.0.12/work/ekiga-2.0.12/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-im/ekiga-2.0.12/work/ekiga-2.0.12'
make: *** [all] Error 2
 *
 * ERROR: net-im/ekiga-2.0.12 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2991:  Called gnome2_src_compile
 *             environment, line 2198:  Called die
 * The specific snippet of code:
 *       emake || die "compile failure"
 *  The die message:
 *   compile failure
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/net-im/ekiga-2.0.12/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-im/ekiga-2.0.12/temp/environment'.
 *


Reproducible: Always




 emerge --info
Portage 2.1.5.5 (default/linux/amd64/2008.0/desktop, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.25-gentoo-r4 x86_64)
=================================================================
System uname: 2.6.25-gentoo-r4 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 4200+
Timestamp of tree: Sun, 15 Jun 2008 05:35:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r4
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg distlocks fixpackages metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS=""
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/miscellaneous /usr/portage/local/desktop-effects"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow S3TC X a52 aac aalib accessibility acl acpi alsa amarok amd64 apm arts artworkextra audiofile automount avahi bash-completion berkdb bidi bittorrent bluetooth branding bzip2 cairo calendar cdda cdio cdparanoia cdr clamav cli cpudetection cracklib crypt css cups curl dbus deprecated devil dga directfb discouraged distribution divx doc dri dts dv dvb dvd dvdr dvdread eds elisp emacs emboss emerald encode esd etc-proposals evo examples exif extraicons fam fat fax fbcon fbcondecor fbsplash ffmpeg firefox flac flash foomaticdb fortran fuse gcj gd gdbm gedit gif gimp glitz gmedia gnome gnutls gphoto2 gpm gstreamer gtk gtkhtml hal hddtemp hfs html htmlhandbook httpd iconv idn ieee1394 imagemagick imlib inkjar ipv6 isdnlog jack java jfs joystick jpeg kde kdehiddenvisibility kerberos lcms ldap libcaca libnotify lirc live lm_sensors logrotate mad mail matroska mdnsresponder-compat midi mikmod mime mjpeg mmx mmxext mng mono mozilla mp3 mpeg mplayer mudflap multilib musicbrainz mysql nas nautilus ncurses networking new-login nforce2 nls nptl nptlonly nsplugin ntfs nvidia odbc offensive ogg opengl openmp pam parport pcre pdf perl pmu png postgres ppds pppd pulseaudio python qt3 qt3support qt4 quicktime rar rdesktop readline realmedia reflection regex reiser4 reiserfs samba scanner sdl seamonkey semantic-desktop servletapi session skins slang slp smp sndfile snmp sound sounds speex spell spl sqlite sse sse2 ssl startup-notification stream subversion svg swat symlink sysfs syslog tcpd tetex theora thesaurus threads thunderbird tidy tiff timidity tk truetype type1 unicode usb userlocales utempter utils v4l vcd vdr vlm voice vorbis vram weather wmf wmp wordperfect wxwindows xattr xcb xcomposite xforms xfs xine xml xorg xpm xprint xscreensaver xv xvid zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Santiago M. Mola (RETIRED) gentoo-dev 2008-06-16 10:48:23 UTC
Works fine here with the same setup. Can you tell the output of emerge -pv opal ekiga ?
Comment 2 Billy DeVincentis 2008-06-16 11:31:28 UTC
emerge -pv opal ekiga

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] net-libs/opal-2.2.11  USE="-debug -noaudio -novideo" 0 kB
[ebuild   R   ] net-im/ekiga-2.0.12  USE="avahi dbus doc gnome sdl -debug" 0 kB

Total: 2 packages (2 reinstalls), Size of downloads: 0 kB
Comment 3 horigen 2008-06-18 05:11:37 UTC
i686-pc-linux-gnu-g++ -O2 -march=pentium-m -pipe -o ekiga accounts.o addressbook.o callbacks.o callshistory.o chat.o config.o druid.o history.o main.o misc.o preferences.o tools.o statusicon.o audio.o fakevideoinput.o videoinput.o videooutput.o accountshandler.o ekiga.o manager.o h323.o pcss.o sip.o urlhandler.o stun.o bonobo.o dbus.o avahi.o -pthread -pthread  ../lib/.libs/libekiga.a /usr/lib/libesd.so /usr/lib/libaudiofile.so -lm /usr/lib/libgnomeui-2.so /usr/lib/libSM.so /usr/lib/libICE.so /usr/lib/libbonoboui-2.so /usr/lib/libgnomevfs-2.so /usr/lib/libgnomecanvas-2.so /usr/lib/libart_lgpl_2.so /usr/lib/libgtk-x11-2.0.so /usr/lib/libgdk-x11-2.0.so /usr/lib/libatk-1.0.so /usr/lib/libgdk_pixbuf-2.0.so /usr/lib/libpangocairo-1.0.so /usr/lib/libpango-1.0.so /usr/lib/libcairo.so /usr/lib/libebook-1.2.so /usr/lib/libgnome-2.so /usr/lib/libpopt.so /usr/lib/libedataserver-1.2.so /usr/lib/libxml2.so /usr/lib/libgconf-2.so /usr/lib/libbonobo-2.so /usr/lib/libbonobo-activation.so /usr/lib/libgmodule-2.0.so /usr/lib/libORBit-2.so /usr/lib/libgthread-2.0.so -lrt /usr/lib/libdbus-glib-1.so /usr/lib/libdbus-1.so /usr/lib/libgobject-2.0.so /usr/lib/libavahi-common.so /usr/lib/libavahi-client.so /usr/lib/libavahi-glib.so /usr/lib/libglib-2.0.so /usr/lib/libSDL.so -lpt -lopal -ldl -lpthread  
/usr/lib/gcc/i686-pc-linux-gnu/4.3.1/../../../libopal.so: undefined reference to `PIPSocket::Address::operator*=(PIPSocket::Address const&) const'
/usr/lib/gcc/i686-pc-linux-gnu/4.3.1/../../../libopal.so: undefined reference to `PIPSocket::InterfaceEntry::InterfaceEntry(PString const&, PIPSocket::Address const&, PIPSocket::Address const&, PString const&, PString const&)'
collect2: ld returned 1 exit status
make[3]: *** [ekiga] Error 1
make[3]: Leaving directory `/var/tmp/portage/net-im/ekiga-2.0.12/work/ekiga-2.0.12/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/net-im/ekiga-2.0.12/work/ekiga-2.0.12/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-im/ekiga-2.0.12/work/ekiga-2.0.12'
make: *** [all] Error 2
 * 
 * ERROR: net-im/ekiga-2.0.12 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2884:  Called gnome2_src_compile
 *             environment, line 2100:  Called die
 * The specific snippet of code:
 *       emake || die "compile failure"
 *  The die message:
 *   compile failure
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/net-im/ekiga-2.0.12/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-im/ekiga-2.0.12/temp/environment'.
 * 


Portage 2.1.5.5 (default/linux/x86/2008.0/desktop, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.24-gentoo-r8 i686)
=================================================================
System uname: 2.6.24-gentoo-r8 i686 Intel(R) Pentium(R) M processor 1.73GHz
Timestamp of tree: Mon, 16 Jun 2008 10:15:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r4
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium-m -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=pentium-m -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distro.ibiblio.org/pub/linux/distributions/gentoo/ http://distfiles.gentoo.org/"
LANG="en_US.UTF-8"
LDFLAGS=""
LINGUAS="en en_US zh zh_CN zh_TW zh_HK"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.au.gentoo.org/gentoo-portage"
USE="7zip X Xaw3d a52 aac aalib acl acpi alsa amrnb amrwb avahi bash-completion berkdb bidi bl bluetooth branding bzip2 cairo cdr cgi cjk clamav cli cpudetection cracklib crypt css cups curl curlwrappers custom-cflags custom-cpuopts cvs cxx dbus dell dga dri dts dv dvd dvdr dvdread eds emboss enca encode enscript esd evo fam ffmpeg firefox flac fltk fontconfig fortran ftp gdbm geoip gif gnome gnome-keyring gnuplot gnutls gpm gstreamer gtk gtkhtml hal hddtemp iconv icq idn ieee1394 imap inifile ipv6 isdnlog java javascript jpeg jpeg2k kerberos laptop latex ldap libcaca libgda libnotify libssh2 libwww live lm_sensors lzo mad md5sum mdnsresponder-compat midi mikmod mime mmx mono mozilla mp3 mpeg mplayer msn mudflap musepack ncurses nemesi networkmanager nls nntp nptl nptlonly nsplugin nss ogg openal openexr opengl openmp osc oss pam pcmcia pcre pdf perl php plotutils png portaudio ppds pppd python quicktime rar raw readline real reflection rss samba scanner sdl session shorten snmp sockets socks5 speex spell spl srt sse sse2 ssl startup-notification subtitles svg tcpd theora tiff truetype unicode usb vorbis wavpack wifi win32codecs wmf x264 x86 xanim xattr xcomposite xinetd xml xorg xscreensaver xv xvid yahoo zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US zh zh_CN zh_TW zh_HK" USERLAND="GNU" VIDEO_CARDS="fglrx"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 4 Billy DeVincentis 2008-06-23 11:27:26 UTC
I emerged opal again and then ekiga emerged.
Comment 5 Ian Abbott 2008-08-01 09:18:53 UTC
(In reply to comment #4)
> I emerged opal again and then ekiga emerged.
> 

Same here. Re-emerging opal did the trick.
Comment 6 Stefan Lucke 2008-08-02 08:51:55 UTC
Re-emerging opal does not help here. I wonder about the difference to my system: ekiga-2.0.11 
emerge -pv opal ekiga

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] net-libs/opal-2.2.11  USE="-debug -noaudio -novideo" 0 kB
[ebuild  N    ] net-im/ekiga-2.0.11  USE="avahi dbus gnome sdl -debug -doc" 0 kB

from emerge --info
emerge --info
Portage 2.1.4.4 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.23.13-nv-sp i686)
=================================================================
System uname: 2.6.23.13-nv-sp i686 AMD Athlon(tm) 64 X2 Dual Core Processor 3800+
Timestamp of tree: Sat, 02 Aug 2008 08:16:02 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.4
dev-lang/python:     2.3.6-r3, 2.4.4-r13, 2.5.2-r6
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages metadata-transfer sandbox sfperms strict unmerge-orphans"
GENTOO_MIRRORS="ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="X a52 accessibility acl alsa arts avahi berkdb bzip2 cdr cli cracklib crypt cups curl dbus dri dvd exif fax fontconfig fortran gd gdbm gif gnome gphoto2 gpm gtk iconv ieee1394 isdnlog jpeg kde kipi ldap libwww midi mikmod mudflap ncurses nls nptl nptlonly opengl openmp pam pcre pdf perl plotutils png ppds pppd python qt qt3 readline reflection scanner sdl session snmp spl sqlite ssl sysfs tcpd threads truetype unicode usb v4l v4l2 vidix x86 xinerama xml xorg xv xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en de" USERLAND="GNU" VIDEO_CARDS="ati mga nv radeon vesa fbdev"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

But the error is the same:

i686-pc-linux-gnu-g++ -O2 -march=i686 -pipe -Wl,-O1 -o ekiga accounts.o addressbook.o callbacks.o callshistory.o chat.o config.o druid.o history.o main.o misc.o preferences.o tools.o statusicon.o audio.o fakevideoinput.o videoinput.o videooutput.o accountshandler.o ekiga.o manager.o h323.o pcss.o sip.o urlhandler.o stun.o bonobo.o dbus.o avahi.o -pthread -pthread  ../lib/.libs/libekiga.a /usr/lib/libesd.so /usr/lib/libaudiofile.so -lm /usr/lib/libgnomeui-2.so /usr/lib/libSM.so /usr/lib/libICE.so /usr/lib/libbonoboui-2.so /usr/lib/libgnomevfs-2.so /usr/lib/libgnomecanvas-2.so /usr/lib/libart_lgpl_2.so /usr/lib/libgtk-x11-2.0.so /usr/lib/libgdk-x11-2.0.so /usr/lib/libatk-1.0.so /usr/lib/libgdk_pixbuf-2.0.so /usr/lib/libpangocairo-1.0.so /usr/lib/libpango-1.0.so /usr/lib/libcairo.so /usr/lib/libebook-1.2.so /usr/lib/libgnome-2.so /usr/lib/libpopt.so /usr/lib/libedataserver-1.2.so /usr/lib/libxml2.so /usr/lib/libgconf-2.so /usr/lib/libbonobo-2.so /usr/lib/libbonobo-activation.so /usr/lib/libgmodule-2.0.so /usr/lib/libORBit-2.so /usr/lib/libgthread-2.0.so -lrt /usr/lib/libdbus-glib-1.so /usr/lib/libdbus-1.so /usr/lib/libgobject-2.0.so /usr/lib/libavahi-common.so /usr/lib/libavahi-client.so /usr/lib/libavahi-glib.so /usr/lib/libglib-2.0.so /usr/lib/libSDL.so -lpt -lopal -ldl -lpthread
/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/../../../libopal.so: undefined reference to `PIPSocket::Address::operator*=(PIPSocket::Address const&) const'
/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/../../../libopal.so: undefined reference to `PIPSocket::InterfaceEntry::InterfaceEntry(PString const&, PIPSocket::Address const&, PIPSocket::Address const&, PString const&, PString const&)'
collect2: ld returned 1 exit status
make[3]: *** [ekiga] Fehler 1
make[3]: Leaving directory `/var/tmp/portage/net-im/ekiga-2.0.11/work/ekiga-2.0.11/src'
make[2]: *** [all] Fehler 2
make[2]: Leaving directory `/var/tmp/portage/net-im/ekiga-2.0.11/work/ekiga-2.0.11/src'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/var/tmp/portage/net-im/ekiga-2.0.11/work/ekiga-2.0.11'
make: *** [all] Fehler 2
 *
 * ERROR: net-im/ekiga-2.0.11 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2916:  Called die
Comment 7 Peter Bleszynski 2008-08-02 19:14:14 UTC
I have a similar problem, but with gcc-4.1.2 and glibc-2.6.1 on amd64.  emerge ekiga dies with a segmentation fault.  I've emerged opal again and have tried to emerge ekiga several times.  The error is always the same.  All other packages are up to date.  

make[2]: Leaving directory `/var/tmp/portage/net-im/ekiga-2.0.12/work/ekiga-2.0.12/po'
make[2]: Entering directory `/var/tmp/portage/net-im/ekiga-2.0.12/work/ekiga-2.0.12'
LC_ALL=C ./intltool-merge -d -u -c ./po/.intltool-merge-cache ./po ekiga.desktop.in ekiga.desktop
LC_ALL=C ./intltool-merge -s -u -c ./po/.intltool-merge-cache ./po ekiga.schemas.in ekiga.schemas
Generating and caching the translation database
Generating and caching the translation database
make[2]: *** [ekiga.schemas] Segmentation fault
make[2]: *** Waiting for unfinished jobs....
make[2]: *** [ekiga.desktop] Segmentation fault
make[2]: Leaving directory `/var/tmp/portage/net-im/ekiga-2.0.12/work/ekiga-2.0.12'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-im/ekiga-2.0.12/work/ekiga-2.0.12'
make: *** [all] Error 2
 *
 * ERROR: net-im/ekiga-2.0.12 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2998:  Called gnome2_src_compile
 *             environment, line 2205:  Called die
 * The specific snippet of code:
 *       emake || die "compile failure"
 *  The die message:
 *   compile failure



# emerge --info
Portage 2.1.4.4 (default/linux/amd64/2008.0/server, gcc-4.1.2, glibc-2.6.1-r0, 2.6.17-gentoo-r4 x86_64)
=================================================================
System uname: 2.6.17-gentoo-r4 x86_64 AMD Athlon(tm) 64 FX-51 Processor
Timestamp of tree: Sat, 02 Aug 2008 09:17:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r6
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=k8"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=k8"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/science /usr/local/portage"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="X acl alsa amd64 apache2 berkdb bonobo bzip2 cairo cdr cli cracklib crypt cups dbus dlloader dri firefox fortran gdbm gif gnome gpm gstreamer gtk hal iconv ipv6 isdnlog java jpeg kerberos lcms ldap mailwrapper midi mmx mono motif mpeg mpi mudflap multilib mysql ncurses nls nptl nptlonly opengl openmp pam pcre pdf perl png postscript pppd python readline reflection samba sdl session snmp spl sse sse2 ssl sysfs tcpd tiff truetype type1 unicode usb xml xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 8 Peter Bleszynski 2008-08-09 23:34:30 UTC
Disregard my earlier comment.  The bug I am seeing is probably unrelated.  It appears to be similar to this bug:
http://www.freebsd.org/cgi/query-pr.cgi?pr=120824

Comment 9 kpld 2008-08-15 11:56:55 UTC
My problem is same to Peter Bleszynski, but i re emerge the opal, then is OK.
Comment 10 Peter Bleszynski 2008-08-15 20:08:55 UTC
I opened a new bug for segfaults during "Generating and caching the translation database".

http://bugs.gentoo.org/show_bug.cgi?id=234851
Comment 11 azure 2008-09-14 17:39:20 UTC
(In reply to comment #10)
> I opened a new bug for segfaults during "Generating and caching the translation
> database".
> 
> http://bugs.gentoo.org/show_bug.cgi?id=234851
> 


$ dmesg
intltool-merge[27379]: segfault at 7fff08b3aef3 ip 4be2dd sp 7fff08b3ae70 error 6 in perl5.8.8[400000+103000]
I guess there is a problem
Comment 12 Gilles Dartiguelongue gentoo-dev 2008-11-09 01:17:48 UTC
not sure what can be done about the opal bug, I just hit this btw and I think this is due to gcc upgrades. This seems to be the kind of issues that arises from time to time with C++ libs (think gnome-system-monitor and the like).
Comment 13 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-03-03 02:05:45 UTC
Is this bug still alive ?
I've tested with gcc-4.3.1 and glibc-2.9 (last ~x86 in the tree) and everything went fine.

Was this bug specific to glibc-2.8 ?

I'm gonna test other USE flags combination in my chroot.

If someone still can reproduce this bug, please, make some noise here :)
Comment 14 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-03-03 18:51:15 UTC
Can't reproduce the bug with any use flag.

I need more information to work on this. Please, if you still can reproduce this issue, make some noise here. Otherwise, I will consider the bug specific to glibc-2.8 or the result from an upgrade (opal compiled with another set of tools).
Comment 15 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-03-25 03:07:58 UTC
reopen if nessacary, thx
Comment 16 Bob Shaffer 2011-01-23 03:02:56 UTC
(In reply to comment #14)
> Can't reproduce the bug with any use flag.
> 
> I need more information to work on this. Please, if you still can reproduce
> this issue, make some noise here. Otherwise, I will consider the bug specific
> to glibc-2.8 or the result from an upgrade (opal compiled with another set of
> tools).
> 

Got this one again.  Same ekiga version, same opal version, but this time I believe opal was previously built with gcc 4.3.4 and I am now using gcc 4.4.4.  Rebuilding opal and then ekiga has solved the problem.  I think it's safe to say that this falls under the category of "result from an upgrade (opal compiled with another set of tools)."
Comment 17 Eric Siegel 2011-02-25 16:53:48 UTC
Created attachment 263795 [details]
net-voip/ekiga-2.0.12 build.log

I cannot compile  net-voip/ekiga-2.0.12 with GCC 4.4.4 and glibc 2.11.2-r3.  Attached is my build.log output.
Comment 18 Eric Siegel 2011-02-25 16:54:25 UTC
(In reply to comment #17)
> Created an attachment (id=263795) [details]
> net-voip/ekiga-2.0.12 build.log
> 
> I cannot compile  net-voip/ekiga-2.0.12 with GCC 4.4.4 and glibc 2.11.2-r3. 
> Attached is my build.log output.
> 

Here is my emerge --info:


Portage 2.1.9.25 (default/linux/amd64/10.0/desktop/gnome, gcc-4.4.4, glibc-2.11.2-r3, 2.6.36-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.36-gentoo-r5-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9300_@_2.50GHz-with-gentoo-2.0.1
Timestamp of tree: Fri, 25 Feb 2011 02:00:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.6.6-r1, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.6.3-r1, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -msse4.1 -O2 -pipe -fno-strict-aliasing"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -msse4.1 -O2 -pipe -fno-strict-aliasing"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirrors.rit.edu/gentoo/ http://gentoo.llarian.net/ "
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_US"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /var/lib/layman/java-overlay /var/lib/layman/desktop-effects /var/lib/layman/sunrise /var/lib/layman/mozilla /var/lib/layman/vmware /var/lib/layman/multimedia"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi aiglx alsa amd64 aoss asf bash-completion berkdb bittorrent branding bzip2 cairo cdparanoia cdr cjk cleartype cli consolekit cracklib crypt cups curl cxx dbus dri dts dvb dvd dvdr eds emboss encode evo exif faac faad fam ffmpeg finger flac fontconfig fortran ftp gcj gconf gd gdbm gdu gif glitz gmp gnome gnome-keyring gnutls gopher gpm gstreamer gtk iconv imagemagick ipv6 java java6 javascript jpeg jpeg2k kerberos lame latex lcms ldap libffi libnotify lirc lm_sensors lzo mad matroska midi mikmod mmx mmx2 mmxext mng modules mp3 mp4 mpeg mudflap multilib nautilus ncurses networkmanager new-login nls nptl nptlonly nsplugin ogg openal opengl openmp pam pango pcre pdf perl php png policykit ppds pppd python qt3support readline samba schroedinger sdl session skins spell sqlite sse sse2 sse3 ssl ssse3 startup-notification svg symlink sysfs system-sqlite tcl tcpd theora threads tiff tk truetype udev unicode usb vim-syntax vorbis webkit wmf wxwidgets wxwindows x264 xcb xcomposite xine xinerama xml xorg xscreensaver xulrunner xv xvid xvmc zlib zsh-completion" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 19 Eric Siegel 2011-02-25 17:06:52 UTC
Re-Emerging opal and pwlib didn't help.